/*
 * mmfd - fd-based secure I/O functions
 * Copyright (C) 2000-2001  Matthew Mondor
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Original author: Matthew Mondor, mmondor@linuxguru.net
 */




#ifndef MMFD_H
#define MMFD_H




/* HEADERS */

#ifndef MMTYPES_H
#include "mmtypes.h"
#endif

#include <sys/poll.h>
#include <stdio.h>
#include <stdarg.h>
#include <unistd.h>




/* PROTOTYPES */

BYTE fdavail(int, int);
LONG fdgets(BYTE *, LONG, int, int);
LONG fdputs(int, BYTE *);
LONG fdprintf(int, BYTE *, ...);
LONG getline(BYTE *, int);




/* DEFINITIONS */

/* if( getresult(buffer,fd,buffer2,len) ) */
#define   getresult(a,b,c,d)   ( (getline(a,b)) && (!strncmp(a,c,d)) )



#endif

/*
	vim:ts=3:sw=3:cindent:
*/
